> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task from an imported local agent session



## OpenAPI

````yaml api-reference/openapi.v1.json POST /tasks/teleport
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/teleport:
    post:
      tags:
        - tasks
      summary: Create a task from an imported local agent session
      operationId: teleportTask
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeleportTaskRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTaskResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceRuntimeAdmissionError'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - oneOf:
                      - $ref: '#/components/schemas/ErrorResponse'
                      - $ref: '#/components/schemas/WorkspaceRuntimeAdmissionError'
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '408':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Request Timeout
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/McpServerNotConnectedErrorResponse'
          description: Conflict
        '413':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Request Entity Too Large
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Implemented
components:
  schemas:
    TeleportTaskRequest:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - claude-code
            - codex
          type: string
        base_branch:
          minLength: 1
          type: string
        head_branch:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        message:
          type: string
        model:
          minLength: 1
          type: string
        project_id:
          format: uuid
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
        session:
          $ref: '#/components/schemas/TeleportSessionPayload'
      required:
        - project_id
        - head_branch
        - agent_type
        - model
        - interaction_mode
        - session
      type: object
    CreateTaskResponse:
      additionalProperties: false
      properties:
        id:
          format: uuid
          type: string
        name:
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    WorkspaceRuntimeAdmissionError:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        org_id:
          format: uuid
          type: string
        tier:
          type: string
        vm_size:
          type: string
      required:
        - error
        - code
        - tier
        - vm_size
        - org_id
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServerNotConnectedErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - mcp_server_not_connected
          type: string
        error:
          minLength: 1
          type: string
        servers:
          items:
            $ref: '#/components/schemas/McpServerNotConnected'
          minItems: 1
          type: array
      required:
        - error
        - code
        - servers
      type: object
    TeleportSessionPayload:
      additionalProperties: false
      properties:
        local_cli_version:
          pattern: ^[ -~]{1,200}$
          type: string
        rollout_relative_path:
          minLength: 1
          type: string
        session_id:
          minLength: 1
          type: string
        transcript_gzip_base64:
          minLength: 1
          type: string
      required:
        - session_id
        - transcript_gzip_base64
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    McpServerNotConnected:
      additionalProperties: false
      properties:
        display_name:
          type: string
        key:
          type: string
        policy:
          enum:
            - creator
            - org
          type: string
        reason:
          enum:
            - not_connected
            - needs_reauth
          type: string
        repo:
          $ref: '#/components/schemas/McpServerRepoDeclaration'
      required:
        - key
        - display_name
        - policy
        - reason
      type: object
    McpServerRepoDeclaration:
      additionalProperties: false
      properties:
        cataloged:
          type: boolean
        file:
          enum:
            - .mcp.json
            - .codex/config.toml
          type: string
      required:
        - file
        - cataloged
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.